---
title: "List webhooks"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/webhooks.list
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# List webhooks

Your webhooks (all of the workspace with integrations.manage) with status, owner, filters sentence and 24 h health (delivered / failed / filtered / pending / dead).

Your webhooks (all of the workspace with integrations.manage) with status, owner, filters sentence and 24 h health (delivered / failed / filtered / pending / dead).

## Overview

| Name | Value |
| --- | --- |
| Code | `webhooks.list` |
| Scope needed | `webhooks.read` |
| Risk | Read |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Settings → Webhooks |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `status` | `"active" \| "paused" \| "disabled" \| "suspended"` | No |   |
| `owner` | `"all" \| "mine" \| "people" \| "connections"` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/webhooks.list \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `webhooks` | `object[]` | Yes |
| `limits` | `object` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "webhooks": [
      {
        "health_24h": {
          "endpoint_id": "00000000-0000-4000-8000-000000000000",
          "delivered": 1,
          "failed": 1,
          "filtered": 1,
          "pending": 1,
          "dead": 1
        },
        "url_host": "text",
        "status": "active",
        "status_reason": "text",
        "status_changed_at": "2026-10-22T12:00:00.000Z",
        "owner": {
          "kind": "human",
          "user_id": "00000000-0000-4000-8000-000000000000",
          "connection_id": "00000000-0000-4000-8000-000000000000",
          "connection_name": "text"
        },
        "event_types": [
          "text"
        ],
        "account_scope": {
          "mode": "all"
        },
        "filters": {
          "direction": "in",
          "keywords": {
            "any": [
              "text"
            ],
            "none": [
              "text"
            ]
          },
          "chat_types": [
            "channel"
          ],
          "mention_only": true,
          "exclude_self": true,
          "exclude_sent_by": [
            "campaign"
          ],
          "exclude_connection_ids": [
            "text"
          ],
          "exclude_own_connection": true,
          "include_backfill": true,
          "conversation_ids": [
            "text"
          ],
          "conversation_tags": [
            "text"
          ],
          "has_media": true,
          "person_stage_ids": [
            "text"
          ],
          "campaign_ids": [
            "text"
          ]
        },
        "filters_text": "text",
        "content_mode": "full",
        "content_type": "application/json",
        "revision": 1,
        "verified_at": "2026-10-22T12:00:00.000Z",
        "tested_at": "2026-10-22T12:00:00.000Z",
        "ready": true,
        "consecutive_failures": 1,
        "failing_since": "text",
        "last_success_at": "2026-10-22T12:00:00.000Z",
        "last_failure_at": "2026-10-22T12:00:00.000Z",
        "created_at": "2026-10-22T12:00:00.000Z",
        "updated_at": "2026-10-22T12:00:00.000Z",
        "url": "text",
        "id": "00000000-0000-4000-8000-000000000000",
        "name": "text",
        "description": "text",
        "url_masked": "text"
      }
    ],
    "limits": {
      "per_workspace": 50,
      "per_connection": 10
    }
  }
}
```

## Using it over MCP

Tool `webhooks_list` is listed on the profiles: Full (`full`). On other profiles, find it with `tools_search` and run it with `tools_run`.
